### Method

# Shumate MapSource set_license

#### Declaration [src]

    void
    shumate_map_source_set_license (
      ShumateMapSource* map_source,
      const char* license
    )

#### Description [src]

Sets the map source’s license.

Sets property | `Shumate.MapSource:license`

#### Parameters

`license`

  Type: `const char*`

  The licence.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.